<?php

/****************************************************
*                                                   *
*   Quasars Storage - The Filemanager               *
*   _____________________________________________   *
*                                                   *
*   Copyright (c) 2005 by Quasars, Ralf Weiher      *
*   Developed as a Project of Quasars               *
*                                                   *
*   http://projects.quasars.de/storage              *
*   http://www.quasars.de                           *
*                                                   *
*   This Software is free for non-commercial use.   *
*                                                   *
****************************************************/

include ("login_validation.php");

admin();

function del_dir ($directory) {
	$dir = opendir ($directory);
	while ($file = readdir ($dir)) {
		if ($file != '..' && $file != '.') {
			if (is_file ($directory."/".$file)) {
				unlink ($directory."/".$file);
				}
      		if (is_dir ($directory."/".$file)) {
				del_dir ($directory."/".$file);
				}
		}
	}
	closedir ($dir);
	rmdir ($directory);
	}

function del_files ($directory) {
	$dir = opendir ($directory);
	while ($file = readdir ($dir)) {
		if ($file != '..' && $file != '.') {
			if (is_file ($directory."/".$file)) {
				unlink ($directory."/".$file);
				}
      		if (is_dir ($directory."/".$file)) {
				del_dir ($directory."/".$file);
				}
			}
		}
	closedir ($dir);
	}

if ($action !== "uninstall") {
	$info_uninstall_output = "$info_uninstall_no_action";
	$button_output = "<input name=\"Back\" type=\"button\" id=\"Back\" onClick=\"javascript:history.back();\" value=\"$button_back\">";
	}
elseif (@!include ("library/config/config.php")) {
	$info_uninstall_output = "$info_uninstall_error$info_uninstall_error1";
	$button_output = "<input name=\"Back\" type=\"button\" id=\"Back\" onClick=\"javascript:history.back();\" value=\"$button_back\">";
	}
elseif (@!mysql_connect ($dbhost, $dbuser, $dbpass)) {
	$info_uninstall_output = "$info_uninstall_error$info_uninstall_error2";
	$button_output = "<input name=\"Back\" type=\"button\" id=\"Back\" onClick=\"javascript:history.back();\" value=\"$button_back\">";
	}
else {
	$info_uninstall_output = "$info_uninstall_success";
	$button_output = "<input name=\"Close\" type=\"button\" id=\"Close\" onClick=\"javascript:window.close();\" value=\"$button_close\">";
	$action_execute = "uninstall";
	}

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title><?php echo $array2[site_name] ?></title>
<?php echo "$css $js_browser_detection"; ?>
</head>

<body onLoad="<?php echo $js_browser_detection_onload ?>">
<div align="center">
  <table width="<?php echo $array4[table_width] ?>"  border="0" cellspacing="0" cellpadding="0">
    <tr>
      <td width="16" height="19" background="themes/<?php echo $array4[theme_directory] ?>/images/table_corner_left_head_b.gif">&nbsp;</td>
      <td align="center" bgcolor="<?php echo $array4[table_bgcolor1] ?>"><span class="Stil1"><?php echo "$info_header1 ".$array2[site_name]." $info_header2"; ?></span></td>
      <td width="19" height="19" background="themes/<?php echo $array4[theme_directory] ?>/images/table_corner_right_head.gif">&nbsp;</td>
    </tr>
  </table>
  <table width="<?php echo $array4[table_width] ?>"  border="0" cellpadding="0" cellspacing="0">
    <tr align="center">
      <td height="15" align="center" bgcolor="<?php echo $array4[table_bgcolor2] ?>"><span class="Stil1"><strong><?php echo $menu ?></strong></span></td>
    </tr>
  </table>
  <table width="<?php echo $array4[table_width] ?>"  border="0" cellspacing="0" cellpadding="0">
    <tr>
      <td height="303" valign="top" bgcolor="#FFFFFF">
        <div align="center">
		<?php admin_menu(); ?>
		<br>
        <br>
          <table width="100%"  border="0" cellspacing="1">
            <tr bgcolor="<?php echo $array4[table_bgcolor4] ?>">
              <td align="center" bgcolor="<?php echo $array4[table_bgcolor4] ?>"><br>
                <form action="admin_uninstall_execute.php" method="post" name="uninstall"> 
				  <table width="650" border="0" cellspacing="0" cellpadding="0">
                    <tr>
                      <td><fieldset>
                        <legend><?php echo $field_uninstall ?></legend>
                        <table width="100%"  border="0" cellspacing="1" bgcolor="#FFFFFF">
                          <tr bgcolor="#EDF2FA">
                            <td align="left" bgcolor="<?php echo $array4[table_bgcolor4] ?>"><?php echo $info_uninstall_output ?>
                              <p align="right">&nbsp;<?php echo $button_output ?></p></td></tr>
                        </table>
                      </fieldset></td>
                    </tr>
                  </table>
				  </form>
                <br></td>
            </tr>
            <tr>
              <td align="center">&nbsp;</td>
            </tr>
            <tr>
              <td align="center"><table width="650" border="0" cellspacing="0" cellpadding="0">
                  <tr>
                    <td align="left">&nbsp;</td>
                  </tr>
              </table></td>
            </tr>
          </table>
        </div>
    </tr>
  </table>
  <table width="<?php echo $array4[table_width] ?>"  border="0" cellpadding="0" cellspacing="0">
    <tr align="center">
      <td height="15" align="center" bgcolor="<?php echo $array4[table_bgcolor2] ?>"><strong><span class="Stil2"></span></strong></td>
    </tr>
  </table>
  <table width="<?php echo $array4[table_width] ?>"  border="0" cellspacing="0" cellpadding="0">
    <tr>
      <td width="19" height="19" background="themes/<?php echo $array4[theme_directory] ?>/images/table_corner_left_foot_b.gif">&nbsp;</td>
      <td bgcolor="<?php echo $array4[table_bgcolor1] ?>">&nbsp;</td>
      <td width="19" height="19" background="themes/<?php echo $array4[theme_directory] ?>/images/table_corner_right_foot.gif">&nbsp;</td>
    </tr>
  </table>
  <p><?php echo $array2[company_footer] ?></p>
</div>
</body>
</html>
<?php

if ($action_execute == "uninstall") {
	$sql = array();
	$sql[] = 'DROP TABLE IF EXISTS `'.$dbtable1.'`';
	$sql[] = 'DROP TABLE IF EXISTS `'.$dbtable2.'`';
	$sql[] = 'DROP TABLE IF EXISTS `'.$dbtable3.'`';
	$sql[] = 'DROP TABLE IF EXISTS `'.$dbtable4.'`';
	$sql[] = 'DROP TABLE IF EXISTS `'.$dbtable5.'`';
	$sql[] = 'DROP TABLE IF EXISTS `'.$dbtable6.'`';
	foreach ($sql as $query) {
		mysql_query ($query);
		}
	mysql_close ($dbconnect);
	@unlink ("library/config/config.php");
	@del_dir ("files");
	@del_files ("images/users");
	}

?>