<?php

/****************************************************
*                                                   *
*   Quasars Storage - The Filemanager               *
*   _____________________________________________   *
*                                                   *
*   Copyright (c) 2005 by Quasars, Ralf Weiher      *
*   Developed as a Project of Quasars               *
*                                                   *
*   http://projects.quasars.de/storage              *
*   http://www.quasars.de                           *
*                                                   *
*   This Software is free for non-commercial use.   *
*                                                   *
****************************************************/

include ("library/config.php");
include ("library/languages/welcome.php");

$language_dir = dir ("library/languages/actions");
$language_files = array();
	while ($language_file = $language_dir -> read()) {
		if ($language_file != "." and $language_file != "..") {
		$language_files[] = $language_file;
		}
	}
$language_dir -> close();
natcasesort ($language_files);
foreach ($language_files as $language_file) {
	if (substr ($language_file, 0, -4) == "English") {
		$show_language .= "<option value=\"".substr ($language_file, 0, -4)."\" selected>".substr ($language_file, 0, -4)."</option><br>";
		}
	else {
		$show_language .= "<option value=\"".substr ($language_file, 0, -4)."\">".substr ($language_file, 0, -4)."</option><br>";
		}
	}

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title><?php echo $dbconfig_company_name ?> - Setup</title>
<link href="library/main.css" rel="stylesheet" type="text/css">
</head>

<body>
<div align="center">
  <p><img src="images/logo.gif" width="563" height="100"></p>
  <table width="800"  border="0" cellspacing="0" cellpadding="0">
    <tr>
      <td width="19" height="19" background="images/table_corner_left_head.gif">&nbsp;</td>
      <td width="552" bgcolor="#FFFFFF">&nbsp;</td>
      <td width="210" bgcolor="#BECEE7">&nbsp;</td>
      <td width="19" height="19" background="images/table_corner_right_head.gif">&nbsp;</td>
    </tr>
  </table>
  <table width="800"  border="0" cellspacing="0" cellpadding="0">
    <tr>
      <td width="19" height="303" bgcolor="#FFFFFF">&nbsp;</td>
      <td width="552" valign="top" bgcolor="#FFFFFF"><table width="100%"  border="0" cellpadding="0" cellspacing="0">
        <tr align="center">
          <td width="5" background="images/table_corner_left_head2.gif"></td>
          <td bgcolor="#38619E"><span class="Stil1"><?php echo "$dbconfig_company_name - Version $dbconfig_version Setup"; ?></span></td>
        </tr>
      </table>
        <table width="100%"  border="0" cellpadding="0" cellspacing="0">
          <tr>
            <td height="277" align="center" valign="top" background="images/inner_table_back1.gif" bgcolor="#F1F4FA"><p>&nbsp;</p>
              <table width="95%"  border="0" cellspacing="0" cellpadding="0">
                <tr>
                  <td align="left"><fieldset>
                    <legend><?php echo $field_setup ?></legend>
					<p>
                    <div><?php echo $welcome_german ?> <?php echo $welcome_english ?>
                      <form name="form1" method="post" action="actions/choose_install_type.php">
                        <div align="center">
                          <select name="language">
                            <?php echo $show_language ?>
                          </select>
                          <input type="submit" name="Submit" value="   OK   ">
                        </div>
                      </form>
                    </div>
                  </fieldset></td>
                </tr>
              </table></td>
          </tr>
        </table>
        <table width="100%"  border="0" cellpadding="0" cellspacing="0">
          <tr align="center">
            <td width="5" align="center" background="images/table_corner_left_foot2.gif"></td>
            <td bgcolor="#F1F4FA">&nbsp;</td>
          </tr>
        </table></td>
      <td width="210" background="images/table_back.gif" bgcolor="#BECEE7">&nbsp;</td>
      <td width="19" height="303" bgcolor="#BECEE7">&nbsp;</td>
    </tr>
  </table>
  <table width="800"  border="0" cellspacing="0" cellpadding="0">
    <tr>
      <td width="19" height="19" background="images/table_corner_left_foot.gif">&nbsp;</td>
      <td width="552" bgcolor="#FFFFFF">&nbsp;</td>
      <td width="210" bgcolor="#BECEE7">&nbsp;</td>
      <td width="19" height="19" background="images/table_corner_right_foot.gif">&nbsp;</td>
    </tr>
  </table>
  <p><?php echo $dbconfig_company_footer ?>&nbsp;</p>
</div>
</body>
</html>
