<%
' CPAINT (Cross-Platform Asynchronous INterface Toolkit) - Version 2.0.0
'
' http://cpaint.sourceforge.net
' 
' released under the terms of the GPL
' see http://www.fsf.org/licensing/licenses/gpl.txt for details
' 
' $Id$
' $Log$
' Revision 1.1  2005/07/30 22:42:07  wiley14
' Initial checkin
'
'
' proxy script to pass request on to remote servers
'
' @package    CPAINT
' @author     Paul Sullivan <wiley14@gmail.com>
' @author     Dominique Stender <dstender@st-webdevelopment.de>
' @copyright  Copyright (c) 2005 Paul Sullivan, Dominique Stender - http://cpaint.sourceforge.net
on error resume next
if (request.querystring("cpaint_remote_url") <> "") then
	cp_remote_url = request.querystring("cpaint_remote_url")
	cp_remote_method = request.querystring("cpaint_remote_method")
	cp_remote_query = request.querystring("cpaint_remote_query")
	cp_response_type = ucase(request.querystring("cpaint_response_type"))
elseif (request.form("cpaint_remote_url") <> "") then
	cp_remote_url = request.form("cpaint_remote_url")
	cp_remote_method = request.form("cpaint_remote_method")
	cp_remote_query = request.form("cpaint_remote_query")
	cp_response_type = ucase(request.form("cpaint_response_type"))
end if

if (cp_response_type = "XML" OR cpaint_response_type = "OBJECT") then
	response.ContentType = "text/xml"
end if

cp_remote_url = "http://" & ParseURL(cp_remote_url, "host") & ":" & ParseURL(cp_remote_url, "port") & ParseURL(cp_remote_url, "file")

if (cp_remote_method = "GET") then
	cp_remote_url = cp_remote_url & "?" & cp_remote_query
	cp_request_body = vbnull
elseif (cp_remote_method = "POST") then
	cp_request_body = cp_remote_query
end if

set cp_request_object = server.CreateObject("MSXML2.XMLHTTP")
if ParseURL(cp_remote_url, "userid") <> "" then
	cp_request_object.open cp_remote_method, cp_remote_url, false, ParseURL(cp_remote_url, "userid"), ParseURL(cp_remote_url, "password")
else
	cp_request_object.open cp_remote_method, cp_remote_url, false
end if

cp_request_object.send cp_remote_query
response.write(cp_request.object.responseText)
response.End()

%>
<% 
' ParseURL - parses a URL into various sections
' @author     Paul Sullivan <wiley14@gmail.com>
' @author     Dominique Stender <dstender@st-webdevelopment.de>
' @copyright  Copyright (c) 2005 Paul Sullivan, Dominique Stender - http://cpaint.sourceforge.net
' strPart	=	"userid" | "password" | "host" | "port" | "file"
function ParseURL(strURL, strPart)
	on error resume next
	strTemp = mid(strURL, (instr(strURL, "//") + 2))
	slashLocation = instr(strTemp, "/")
	atSignLocation = instr(strTemp, "@")
	firstColonLocation = instr(strTemp, ":")
	secondColonLocation = instr((firstColonLocation + 1), strTemp, ":")
	select case ucase(strPart)
		case "FILE"
			ParseURL = mid(strTemp, slashLocation)
		case "PORT"
			if firstColonLocation <> 0 and atSignLocation <> 0 then
				ParseURL = ""
			else
				if secondColonLocation = 0 then
					ParseURL = mid(strTemp, firstColonLocation + 1, (slashLocation - firstColonLocation - 1))
				else
					ParseURL = mid(strTemp, secondColonLocation + 1, (slashLocation - secondColonLocation - 1))
				end if
			end if
			if ParseURL = "" or ParseURL = ParseURL(strURL, "HOST") then ParseURL = "80"	
		case "HOST"
			 if secondColonLocation = 0 then
				if firstColonLocation = 0 then
					ParseURL = mid(strTemp, 1, slashLocation - 1)
				end if
			 	if atSignLocation = 0 then
				 	ParseURL = mid(strTemp, 1, (firstColonLocation - 1))
				else	
					ParseURL = mid(strTemp, atSignLocation + 1, (slashLocation - atSignLocation - 1))
				end if
			else
				ParseURL = mid(strTemp, atSignLocation + 1, (secondColonLocation - atSignLocation - 1))
			end if
		case "USERID"
			parts = split(mid(strTemp, 1, atSignLocation - 1), ":")
			ParseURL = parts(0)
		case "PASSWORD"
			parts = split(mid(strTemp, 1, atSignLocation - 1), ":")
			ParseURL = parts(1)
	end select

end function
%>
