<?php
require_once("include/config.php");
require_once("include/vars.php");
require_once("include/functions.php");
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<title><?=SITE_NAME?></title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link href="style.css" rel="stylesheet" type="text/css">
</head>

<body>
<table width="600" border="0" align="center" cellpadding="0" cellspacing="0" style="border: solid 1px #999999">
  <tr>
    <td><?php
        STemplate::display("header.tpl");
        ?></td>
  </tr>
  <tr>
    <td valign="top"> 
      <table width="100%" border="0" cellspacing="0" cellpadding="2">
        <tr> 
          <td><table width="70%" border="0" align="center" cellpadding="2" cellspacing="0">
              <tr> 
                <td class="ltxt"> <h4><strong>Terms &amp; Conditions</strong></h4>
                  <hr> </td>
              </tr>
              <tr> 
                <td class="ltxt"><P align="justify">This <strong> 
                    <?=SITE_NAME?>
                    </strong> Service Agreement (the "Agreement") describes the 
                    terms and conditions on which <strong> 
                    <?=SITE_NAME?>
                    </strong> ("we" or "our company") offer services to you ("Customer" 
                    or "You"). By registering for or using <strong> 
                    <?=SITE_NAME?>
                    </strong> services, Customer agrees to be bound by the following 
                    terms and conditions. </P>
                  <H4 align="justify" class="ltxt">1. Eligibility for 
                    <?=SITE_NAME?>
                    Services.</H4>
                  <P align="justify">Our Services are available only to individuals 
                    and business entities (including but not limited to sole proprietorships) 
                    in good legal standing that can form legally binding contracts 
                    under applicable law. Customer hereby represents and warrants 
                    that it is duly licensed to do business and is in good legal 
                    standing in the jurisdictions in which it does business (during 
                    the term of this Agreement) that it is not a competitor of 
                    <strong>
                    <?=SITE_NAME?>
                    </strong>, and that the person agreeing to this Agreement 
                    for Customer is at least eighteen years of age and otherwise 
                    capable of and authorized to enter binding contracts for Customer. 
                  </P>
                  <H4 align="justify" class="ltxt">2. <strong> 
                    <?=SITE_NAME?>
                    </strong> Services. </H4>
                  <P align="justify">Subject to the terms and conditions of this 
                    Agreement, <strong> 
                    <?=SITE_NAME?>
                    </strong> makes certain Services available to Customer. For 
                    the purposes of this Agreement: (a) "Customer" (or "you") 
                    means the individual or business entity that is using or registering 
                    to use the Services, including its employees and agents; (b) 
                    <strong> 
                    <?=SITE_NAME?>
                    </strong>"Services" means those electronic or interactive 
                    services offered by <strong> 
                    <?=SITE_NAME?>
                    </strong>. <strong> 
                    <?=SITE_NAME?>
                    </strong> Online reserves the right to change or discontinue 
                    any of the Services at any time. </P>
                  <H4 align="justify" class="ltxt">3. Ownership</H4>
                  <P align="justify">You acknowledge that all materials (except 
                    those uploaded by users) provided on this Web site, including 
                    but not limited to information, documents, products, logos, 
                    graphics, sounds, images, software, and services (collectively 
                    "Materials"), are provided either by <strong>
                    <?=SITE_NAME?>
                    </strong> or by their respective third party authors, developers 
                    and vendors (collectively "Third Party Providers") and the 
                    underlying intellectual property rights are owned by <strong>
                    <?=SITE_NAME?>
                    </strong> and/or its Third Party Providers. Elements of the 
                    Web site are protected by trade dress and other laws and may 
                    not be copied or imitated in whole or in part. <strong>
                    <?=SITE_NAME?>
                    </strong>, 
                    the <strong>
                    <?=SITE_NAME?>
                    </strong> logo and other <strong>
                    <?=SITE_NAME?>
                    </strong> products referenced herein are trademarks of <strong>
                    <?=SITE_NAME?>
                    </strong>, and may be registered in certain jurisdictions. 
                    All other product names, company names, marks, logos, and 
                    symbols may be the trademarks of their respective owners.</P>
                  <H4 align="justify" class="ltxt">4. Customer Information</H4>
                  <P align="justify">Customer represents and warrants that the 
                    information it provides in <strong>
                    <?=SITE_NAME?>
                    </strong> contact information forms is true, accurate, current 
                    and complete. Customer agrees to maintain and update this 
                    information to ensure that it is true, accurate, current and 
                    complete. If, at any time, any information provided by Customer 
                    is untrue, inaccurate, not current or incomplete, <strong>
                    <?=SITE_NAME?>
                    </strong> will have the right to suspend or terminate Customer's 
                    account and this Agreement.</P>
                  <H4 align="justify" class="ltxt">5. Customer Account</H4>
                  <H5 align="justify">5.1 Authorized Users</H5>
                  <P align="justify">Customer may designate persons to act as 
                    its agents to use the Services, provided that each designated 
                    person has the legal capacity to enter into binding contracts 
                    for Customer. Furthermore, Customer represents and warrants 
                    that each person who registers under Customer's account is 
                    an authorized agent of Customer (an "Authorized User") who 
                    has such legal capacity.</P>
                  <H5 align="justify">5.2 Responsibility for Access</H5>
                  <P align="justify">Customer is solely responsible and liable 
                    for any and all access to and use of the Services (including 
                    all activities and transactions) by any Authorized User and/or 
                    User ID registered under Customer's account, unless such access 
                    to or use of the Services is the direct result solely of the 
                    gross negligence of <strong>
                    <?=SITE_NAME?>
                    </strong>. It is Customer's responsibility, through its systems 
                    administrator Authorized User, to set the appropriate access 
                    for each of Customer's Authorized Users.</P>
                  <H5 align="justify">5.3 Responsibility for User IDs and Passwords</H5>
                  <P align="justify">Customer is solely responsible for maintaining 
                    the confidentiality of Customer access information, i.e. account 
                    ID's and passwords of its Authorized Users, and are responsible 
                    for all activities that occur under your account.</P>
                  <H5 align="justify">5.4 Notification of Unauthorized Use</H5>
                  <P align="justify">Customer will immediately notify <strong>
                    <?=SITE_NAME?>
                    </strong> if Customer notices any activity indicating that 
                    Customer's account or data is being used without authorization, 
                    including: (a) Customer has received confirmation of an order 
                    or orders placed using Customer's account which Customer did 
                    not place or any similar conflicting report; or (b) Customer 
                    becomes aware of any unauthorized use of any product or service 
                    related to its account(s). </P>
                  <H4 align="justify" class="ltxt">6. Customer Data</H4>
                  <P align="justify">Customer has sole responsibility and liability 
                    for the data its stores on <strong>
                    <?=SITE_NAME?>
                    </strong>'s servers. Customer controls its data through its 
                    generated link. <strong>
                    <?=SITE_NAME?>
                    </strong> encourages Customer to archive its data regularly 
                    and frequently; Customer bears full responsibility for archiving 
                    its data and sole liability for any lost or irrecoverable 
                    data. Customer agrees to maintain its data in compliance with 
                    its legal obligations. <strong>
                    <?=SITE_NAME?>
                    </strong> will delete Customer data upon termination of this 
                    Agreement. However, <strong>
                    <?=SITE_NAME?>
                    </strong> may retain Customer data in its archives after deletion 
                    and will not be liable to Customer in any way for such retained 
                    data.</P>
                  <H5 align="justify">6.1 Special Circumstances</H5>
                  <P align="justify"><strong>
                    <?=SITE_NAME?>
                    </strong> will provide access to the Services and Customer's 
                    data to an agent of Customer ("Authorized Agent") who provides 
                    <strong>
                    <?=SITE_NAME?>
                    </strong> with a notarized letter signed by an officer of 
                    Customer which letter shall include statements of authenticity, 
                    authority, and liability as required by <strong>
                    <?=SITE_NAME?>
                    </strong> in its sole discretion. Customer expressly and irrevocably 
                    agrees that <strong>
                    <?=SITE_NAME?>
                    </strong> may rely on such a letter and on the apparent authority 
                    of the person requesting access to the Services or to Customer's 
                    account. In no event will <strong>
                    <?=SITE_NAME?>
                    </strong> be liable to Customer or any third party for <strong>
                    <?=SITE_NAME?>
                    </strong>'s reliance on such letter or such apparent authority.</P>
                  <H4 align="justify" class="ltxt"><A id=acceptable_use name=acceptable_use></A>8. 
                    Acceptable Use</H4>
                  <P align="justify"> 
                  <H5 align="justify">You agree to not use <strong>
                    <?=SITE_NAME?>
                    </strong>'s Service to:</H5>
                  <P align="justify"></P>
                  <P align="justify">a. upload, post, email, transmit or otherwise 
                    make available any Content that spreads messages of terror 
                    or depicts torture or death-images; if serious enough, the 
                    content will be reported to the appropriate legal authority 
                    and/or the member's ISP will be contacted;</P>
                  <P align="justify">b. harm minors in any way, this includes 
                    any form of child pornography; if serious enough, the content 
                    will be reported to the appropriate legal authority and/or 
                    the member's ISP will be contacted;</P>
                  <P align="justify">c. upload, post, email, transmit or otherwise 
                    make available any Content that infringes any patent, trademark, 
                    trade secret, copyright or other proprietary rights of any 
                    party; <strong> 
                    <?=SITE_NAME?>
                    </strong>'s <A 
            href="dmca.php">DMCA Policy</A> has more details;</P>
                  <H5 align="justify">8.1 Illegality/Adult Content</H5>
                  <P align="justify"><strong>
                    <?=SITE_NAME?>
                    </strong> neither sanctions nor permits site content or the 
                    transmission of data that contains illegal or obscene material 
                    or fosters or promotes illegal activity, including but not 
                    limited to, gambling, the offering for sale of illegal weapons, 
                    and the promotion or publication of any material that may 
                    violate hate crimes legislation.</P>
                  <P align="justify"><strong>
                    <?=SITE_NAME?>
                    </strong> reserves the right to immediately suspend or terminate 
                    any account or transmission that violates this policy, without 
                    prior notice.</P>
                  <P align="justify">Further, should Customer violate this policy, 
                    <strong>
                    <?=SITE_NAME?>
                    </strong> will actively assist and cooperate with law enforcement 
                    agencies and government authorities in collecting and tendering 
                    information about Customer, Customer's site, the illegal or 
                    obscene content, and those persons that may have inappropriately 
                    accessed, acquired, or used the illegal or obscene content.</P>
                  <H5 align="justify">8.2 Wrongful Conduct</H5>
                  <P align="justify">Customer shall not commit or permit wrongful 
                    or damaging acts which justify civil action including, but 
                    not limited to, posting of defamatory, scandalous, or private 
                    information about a person without their consent or intentionally 
                    inflicting emotional distress.</P>
                  <H5 align="justify">8.3 Access and Interference</H5>
                  <P align="justify">Violations or attempts to violate <strong>
                    <?=SITE_NAME?>
                    </strong> systems or to interrupt <strong>
                    <?=SITE_NAME?>
                    </strong> services are strictly prohibited, and may result 
                    in criminal and civil liability. Examples of system violations 
                    include, without limitation: </P>
                  <P align="justify">(a) Unauthorized access to or use of <strong>
                    <?=SITE_NAME?>
                    </strong> Services, including any attempt to probe, scan or 
                    test the vulnerability of a system or to breach security or 
                    authentication measures without express authorization of <strong>
                    <?=SITE_NAME?>
                    </strong>; or (b) Interference with Service to any customer 
                    or network including, without limitation, flooding, or deliberate 
                    attempts to overload a system and broadcast attacks; or (c) 
                    Use of any device, software, or routine to interfere or attempt 
                    to interfere with the proper working of the Services; or (d) 
                    Any action that imposes an unreasonable or disproportionately 
                    large load on <strong>
                    <?=SITE_NAME?>
                    </strong>'s infrastructure</P>
                  <P align="justify">Customer shall not decompile, disassemble, 
                    decrypt, extract, reverse engineer or otherwise attempt to 
                    derive the source code of the "software tools" (including 
                    the tools, methods, processes, and infrastructure) underlying 
                    the Services or any other software on the <strong>
                    <?=SITE_NAME?>
                    </strong> Web site.</P>
                  <H5 align="justify">8.4 Copyright or Trademark Infringement</H5>
                  <P align="justify"><strong> 
                    <?=SITE_NAME?>
                    </strong> Services may be used only for lawful purposes. Transmission, 
                    distribution or storage of any material in violation of any 
                    applicable law or regulation, including export control laws, 
                    is prohibited. This includes, without limitation, material 
                    protected by patent, copyright, trademark, service mark, trade 
                    secret or other intellectual property rights. If you use another 
                    party's material, you must obtain prior authorization. By 
                    using the Services, you represent and warrant that you are 
                    the author and copyright owner and/or proper licensee with 
                    respect to any hosted content and you further represent and 
                    warrant that no content violates the trademark or rights of 
                    any third party. <strong> 
                    <?=SITE_NAME?>
                    </strong> reserves the right to suspend or terminate a Customer's 
                    transmission(s) that, in <strong> 
                    <?=SITE_NAME?>
                    </strong>'s discretion, violates these policies or violates 
                    any law or regulation. <strong> 
                    <?=SITE_NAME?>
                    </strong>'s <A 
            href="dmca.php">DMCA Policy</A> has more details.</P>
                  <H5 align="justify">8.5 Misuse of System Resources</H5>
                  <P align="justify">Customer shall not misuse system resources 
                    including, but not limited to, employing content which consume 
                    excessive CPU time or storage space; utilizing excessive bandwidth; 
                    or resale of access to content hosted on <strong>
                    <?=SITE_NAME?>
                    </strong> servers.</P>
                  <H5 align="justify">8.6 Other Activities</H5>
                  <P align="justify">Whether lawful or unlawful, <strong>
                    <?=SITE_NAME?>
                    </strong> reserves the right to determine what is harmful 
                    to its Customers, operations or reputation, including any 
                    activities that restrict or inhibit any other user from using 
                    and enjoying the Service or the Internet.</P>
                  <P align="justify">Please be aware <strong>
                    <?=SITE_NAME?>
                    </strong> reserves the right to cancel any account or transmission 
                    they find in violation of any of the above policies. If appropriate, 
                    <strong>
                    <?=SITE_NAME?>
                    </strong> will refer complaints to law enforcement authorities, 
                    and in such case, <strong>
                    <?=SITE_NAME?>
                    </strong> will actively assist law enforcement agencies with 
                    the investigation and prosecution of any such activities, 
                    including surrendering Customer account and data information. 
                  </P>
                  <P align="justify">Complaints about violators of our Policy 
                    should be sent via e-mail to abuse@<strong>
                    <?=SITE_NAME?>
                    </strong>.com. Each complaint will be investigated and may 
                    result to immediate cancellation of Services without prior 
                    notice.</P>
                  <H4 align="justify" class="ltxt">9. No Warranty</H4>
                  <P align="justify">You expressly understand and agree that: 
                    (a) your use of the Service is at your sole risk. <strong>
                    <?=SITE_NAME?>
                    </strong> Services are provided on an "as is" and "as available" 
                    basis. <strong>
                    <?=SITE_NAME?>
                    </strong> and its suppliers, to the fullest extent permitted 
                    by law, disclaim all warranties, including but not limited 
                    to warranties of title, fitness for a particular purpose, 
                    merchantability and non-infringement of proprietary or third 
                    party rights. <strong>
                    <?=SITE_NAME?>
                    </strong> and its suppliers make no warranties about the accuracy, 
                    reliability, completeness, or timeliness of our Services, 
                    software, or content; (b) <strong>
                    <?=SITE_NAME?>
                    </strong> makes no warranty that (i) the Service will meet 
                    your requirements, (ii) the service will be uninterrupted, 
                    timely, secure, or error-free, (iii) the results that may 
                    be obtained from the use of the service will be accurate or 
                    reliable, (iv) the quality of any products, services, information, 
                    or other material purchased or obtained by you through the 
                    Service will meet your expectations, and (v) any errors in 
                    the software will be corrected; (d) any material downloaded 
                    or otherwise obtained through the use of the Service is done 
                    at your own discretion and risk and that you will be solely 
                    responsible for any damage to your computer system or loss 
                    of data that results from the download of any such material; 
                    (e) no advice or information, whether oral or written, obtained 
                    by you from us or through or from the Service shall create 
                    any warranty not expressly stated in these terms and conditions.</P>
                  <H4 align="justify" class="ltxt">10. Indemnity</H4>
                  <P align="justify">You agree to defend, indemnify, and hold 
                    harmless <strong>
                    <?=SITE_NAME?>
                    </strong>, its affiliates, officers, directors, employees 
                    and agents, from and against any claims, actions or demands, 
                    including without limitation reasonable legal fees, alleging 
                    or resulting from your use the Service, or your breach of 
                    this Agreement or other <strong>
                    <?=SITE_NAME?>
                    </strong> policies, terms and conditions. </P>
                  <H4 align="justify" class="ltxt">11. Limitation of Liability</H4>
                  <P align="justify">Your use of <strong>
                    <?=SITE_NAME?>
                    </strong> is at your own risk. If you are dissatisfied with 
                    any aspect of our Service or with these terms &amp; conditions, 
                    or any other rules or policies, your sole remedy is to discontinue 
                    use of the Service. You expressly understand and agree that 
                    <strong>
                    <?=SITE_NAME?>
                    </strong> shall not be liable for any direct, indirect, incidental, 
                    special, consequential exemplary damages, including but not 
                    limited to, damages for loss of profits, goodwill, use, data 
                    or other intangible losses (even if we have been advised of 
                    the possibility of such damages), resulting from: (i) the 
                    use or the inability to use the Service; (ii) the cost of 
                    procurement of substitute goods and services resulting from 
                    any goods, data, information or services purchased or obtained 
                    or messages received or transactions entered into through 
                    or from the Service; (iii) unauthorised access to or alteration 
                    of your transmissions or data; (iv) statements or conduct 
                    of any third party on the service; or (v) any other matter 
                    relating to the Service.</P>
                  <H4 align="justify" class="ltxt">12. Modifications to Agreements, 
                    Policies or to our Services</H4>
                  <P align="justify">We reserve the right to change this Service 
                    Agreement at any time without notice. We also reserve the 
                    right at any time to modify or discontinue the Service, temporarily 
                    or permanently, with or without notice to you. You agree that 
                    we shall not be liable to you or any third party for any modification, 
                    suspension or discontinuance of the Service. You acknowledge 
                    that we may establish general practices and limits concerning 
                    use of the Service, including the maximum disk space that 
                    will be allotted on <strong>
                    <?=SITE_NAME?>
                    </strong>s servers on your behalf, and the maximum number 
                    of times (and the maximum duration for which) you may access 
                    the Service in a given period of time. Further, you acknowledge 
                    that <strong>
                    <?=SITE_NAME?>
                    </strong> may change subscription fees at any time without 
                    notice. Changes in subscription fees will take effect on expiration 
                    of any existing Customer subscription.</P>
                  <H4 align="justify" class="ltxt">13. Termination</H4>
                  <P align="justify">13.1 Without limiting other remedies, <strong>
                    <?=SITE_NAME?>
                    </strong> may immediately issue a warning, suspend (i.e., 
                    lock out access and operation of Services for Customer) either 
                    temporarily or indefinitely, or terminate Customer's account 
                    and refuse to provide Services to Customer if: (a) <strong>
                    <?=SITE_NAME?>
                    </strong> believes that Customer have violated or acted inconsistently 
                    with this Agreement, or any of our policies; or (b) Customer 
                    have failed to pay fees or other payments due to <strong>
                    <?=SITE_NAME?>
                    </strong>; or (c) <strong>
                    <?=SITE_NAME?>
                    </strong> is unable to verify or authenticate any information 
                    Customer provides to <strong>
                    <?=SITE_NAME?>
                    </strong>; or (d) <strong>
                    <?=SITE_NAME?>
                    </strong> believes that Customer's actions may cause legal 
                    liability for Customer, <strong>
                    <?=SITE_NAME?>
                    </strong>s other clients, or <strong>
                    <?=SITE_NAME?>
                    </strong>. </P>
                  <P align="justify"><strong>
                    <?=SITE_NAME?>
                    </strong> may also in its sole discretion and at any time 
                    discontinue providing the Service, or any part thereof, with 
                    or without notice. You agree that any termination of your 
                    access to the Service under any provision of these terms and 
                    conditions may be effected without prior notice, and acknowledge 
                    and agree that <strong>
                    <?=SITE_NAME?>
                    </strong> may immediately deactivate, archive or delete your 
                    account and all related information and data and/or any further 
                    access to such data or the Service. Further, you agree that 
                    <strong>
                    <?=SITE_NAME?>
                    </strong> shall not be liable to you or any third-party for 
                    any termination of your access to the Service.</P>
                  <P align="justify">Upon termination of this Agreement by either 
                    Customer or <strong>
                    <?=SITE_NAME?>
                    </strong>, all of Customer rights under this Agreement, and 
                    <strong>
                    <?=SITE_NAME?>
                    </strong>'s provision of Services, will terminate immediately. 
                  </P>
                  <P align="justify">13.2 The Sections 6 ("Customer Data"), 9 
                    ("No Warranty"), 10 ("Indemnity"), 11 ("Limitation Of Liability") 
                    and this Section 13 will survive any termination of this Agreement. 
                  </P>
                  <H4 align="justify" class="ltxt">14. Miscellaneous</H4>
                  <P align="justify">These terms and conditions will be governed 
                    by and construed in accordance with the laws of the State 
                    of California, excluding that body of law governing conflict 
                    of laws. Any legal action or proceeding relating to or arising 
                    out of these Terms or your use of the Web site will be brought 
                    in a federal or state court in Santa Clara County, California, 
                    and you submit to the venue and personal jurisdiction of such 
                    court. If any provision of these Terms is held to be invalid 
                    or unenforceable, such provision will be enforced to the greatest 
                    extent possible and the remaining provisions will remain in 
                    full force and effect. Headings are for reference purposes 
                    only and in no way define, limit, construe, or describe the 
                    scope or extent of such section. <strong>
                    <?=SITE_NAME?>
                    </strong>'s failure to act with respect to a breach by Customer 
                    or others does not waive <strong>
                    <?=SITE_NAME?>
                    </strong>s right to act with respect to subsequent or similar 
                    breaches. No action by Customer arising under this Agreement 
                    may be brought at any time more than twelve (12) months after 
                    the facts occurred upon which the cause of action arose. </P>
                  <H5 align="justify">14.1 Relationship</H5>
                  <P align="justify">Customer and <strong>
                    <?=SITE_NAME?>
                    </strong> are independent contractors, and no agency, partnership, 
                    joint venture, employee-employer or franchiser-franchisee 
                    relationship is intended or created by this Agreement. </P>
                  <H5 align="justify">14.2 Assignment</H5>
                  <P align="justify">Customer may not assign any of its rights, 
                    or delegate any of its duties, under this Agreement, and any 
                    attempted assignment will be null and void. </P>
                  <H5 align="justify">14.4 Force Majeure</H5>
                  <P align="justify">Operation of our Services may be interfered 
                    with by numerous factors outside of our control and we shall 
                    not be liable to you for any delay or failure in performance 
                    under this Agreement resulting directly or indirectly from 
                    causes beyond <strong>
                    <?=SITE_NAME?>
                    </strong>s control. </P>
                  <H5 align="justify">14.5 Interpretation</H5>
                  <P align="justify">If any provision of this Agreement is held 
                    to be invalid or unenforceable, such provision shall be struck, 
                    as narrowly as possible, and the remaining provisions shall 
                    be enforced. Headings are for reference purposes only and 
                    in no way define, limit, construe or describe the scope or 
                    extent of such section. </P>
                  <H5 align="justify">14.6 <strong>
                    <?=SITE_NAME?>
                    </strong> Confidential Information</H5>
                  <P align="justify">You represent and warrant to <strong>
                    <?=SITE_NAME?>
                    </strong> that (a) you are not a competitor of <strong>
                    <?=SITE_NAME?>
                    </strong>, (b) you shall keep publicly unannounced information 
                    and materials pertaining to <strong>
                    <?=SITE_NAME?>
                    </strong>, pre-release software, testing or testing procedures 
                    strictly confidential and (c) you shall not use any information 
                    gained from access to the <strong>
                    <?=SITE_NAME?>
                    </strong> Web site or use of the <strong>
                    <?=SITE_NAME?>
                    </strong> Services to compete with <strong>
                    <?=SITE_NAME?>
                    </strong> in its business.</P>
                  <H5 align="justify">14.7 Exceptions</H5>
                  <P align="justify">Except for other agreements or terms appearing 
                    on the Web site, this Agreement set forth the entire understanding 
                    and agreement between us with respect to the subject matter 
                    hereof. </P>
                  <H4 align="justify" class="ltxt">Additional Information</H4>
                  <P align="justify">Any questions relating to our Legal Agreements 
                    and Policies may be directed to <A 
            href="mailto:legal@<?=SITE_NAME?>.com">legal@
                    <?=SITE_NAME?>
                    .com</A>.</P></td>
              </tr>
              <tr>
                <td class="ltxt"><strong><a href="index.php">&laquo; Back</a></strong></td>
              </tr>
            </table>
            <br>
          </td>
        </tr>
      </table>
    </td>
  </tr>
  <tr>
    <td>
        <?php
        STemplate::display("footer.tpl");
        ?>
        </td>
  </tr>
</table>  
</body>
</html>
